DexScreener
DexScreener - Token Info
Retrieve DexScreener ad, boost, and link update information for a specific token
GET
/
v2
/
dexscr
/
{chain}
/
token
/
{tokenAddress}
DexScreener - Token Info
curl --request GET \
--url https://api.chainstream.io/v2/dexscr/{chain}/token/{tokenAddress} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstream.io/v2/dexscr/{chain}/token/{tokenAddress}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstream.io/v2/dexscr/{chain}/token/{tokenAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chain": "sol",
"tokenAddress": "WCoRVxGcpiwE6EvtDjXHJq6Kcn4nWT9Ubt1PrJHNAzM",
"ad": {
"chain": "sol",
"tokenAddress": "So11111111111111111111111111111111111111112",
"adType": "<string>",
"date": "<string>",
"durationHours": 123,
"impressions": 123,
"url": "<string>"
},
"boost": {
"chain": "sol",
"tokenAddress": "So11111111111111111111111111111111111111112",
"totalAmount": 500,
"amount": 123,
"description": "<string>",
"header": "<string>",
"icon": "<string>",
"links": "<unknown>",
"openGraph": "<string>",
"url": "<string>"
},
"linkUpdate": {
"chain": "sol",
"tokenAddress": "So11111111111111111111111111111111111111112",
"description": "<string>",
"header": "<string>",
"icon": "<string>",
"links": "<unknown>",
"openGraph": "<string>",
"url": "<string>"
}
}Authorizations
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A chain name listed in supported networks Supported blockchain chains
Available options:
sol, eth, bsc An address of a token
Response
200 - application/json
Successful response
Per-token aggregated DexScreener information.
Blockchain network identifier
Example:
"sol"
Token contract address
Example:
"WCoRVxGcpiwE6EvtDjXHJq6Kcn4nWT9Ubt1PrJHNAzM"
DexScreener advertisement data for this token, if any
Show child attributes
Show child attributes
DexScreener boost data for this token, if any
Show child attributes
Show child attributes
DexScreener link update data for this token, if any
Show child attributes
Show child attributes
Was this page helpful?
⌘I
DexScreener - Token Info

